package com.demo.wrapper.web;

import com.demo.wrapper.model.Test;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class TestResource {

    private final ObjectMapper mapper;

    @Autowired
    public TestResource(ObjectMapper mapper) {
        this.mapper = mapper;
    }

    @PostMapping("/test")
    public Test test(@RequestBody String test) throws JsonProcessingException {
        return mapper.readValue(test,Test.class);
    }
}
